import request from '@/utils/request'

// 上传方法
export function studyMethod_save(data) {
  return request({
    url: '/system/business/studyMethod/save',
    method: 'post',
    data: data
  })
}


// 方法列表
export function studyMethod_list(query) {
  return request({
    url: '/system/business/studyMethod/list',
    method: 'get',
    params: query
  })
}

// 阅读
export function studyMethod_read(data) {
  return request({
    url: '/system/business/studyMethod/read',
    method: 'post',
    data: data
  })
}

// 方法阅读汇总列表
export function studyMethod_readList(query) {
  return request({
    url: '/system/business/studyMethod/read/list',
    method: 'get',
    params: query
  })
}



// 方法阅读导出
export function studyMethod_export(query) {
  return request({
    url: '/system/business/studyMethod/download',
    method: 'get',
    params: query
  })
}


// 判断用户是否全部已读试验/学科下的试验方法
export function studyMethod_getReadAllMethodStatus(query) {
  return request({
    url: '/system/business/studyMethod/getReadAllMethodStatus',
    method: 'get',
    params: query
  })
}
